BlackBox installieren on Mint 20 - Ubuntu 20.04

BlackBox for Windows / Linux / OpenBSD / FreeBSD
https://github.com/bbcb/bbcp https://blackbox.oberon.org/download

BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Zinn » Thu Jul 30, 2020 4:22 pm

Today I install the Linux version of Blackbox on linux Mint 20 based on Ubuntu 20.04

wget http://deb.oberon.org/deb.oberon.org.gpg.key
sudo apt-key add deb.oberon.org.gpg.key
sudo dpkg --add-architecture i386
echo "deb http://deb.oberon.org/linux20 testing main" | sudo tee -a /etc/apt/sources.list
sudo apt-get update

Reading package lists... Done
E: The repository 'http://deb.oberon.org/linux20 testing Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.


sudo apt-get install bbcb

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
bbcb:i386 : Depends: gnome-themes-extra:i386 but it is not installable or
gnome-themes-standard:i386 but it is not installable
E: Unable to correct problems, you have held broken packages.

What can I do? Thank you very much for any help.
Zinn
 
Posts: 94
Joined: Mon Nov 24, 2014 10:47 am
Location: Frankfurt am Main

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Ivan Denisov » Sat Aug 01, 2020 1:28 pm

Thank you for the report. I will also upgrade my Mint this week and will check dependencies.

Now deb package has such dependencies description.
Code: Select all
Depends: libc6, libgtk2.0-0, gtk2-engines, gtk2-engines-murrine, libcanberra-gtk-module, gtk2-engines-pixbuf, libatk-adaptor, libgail-common, gnome-icon-theme:i386 | gnome-icon-theme:amd64, gnome-themes-extra | gnome-themes-standard
User avatar
Ivan Denisov
 
Posts: 297
Joined: Tue Sep 17, 2013 12:21 am
Location: Krasnoyarsk, Russia

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Ivan Denisov » Tue Aug 04, 2020 4:46 am

I upgraded my Mint today and installed BlackBox. There was no problems.

Helmut, maybe the reason is in the typo in repository URL?
It should be "http://deb.oberon.org/linux18" for 1.8 version or "http://deb.oberon.org/linux" for 1.7.

Code: Select all
wget http://deb.oberon.org/deb.oberon.org.gpg.key
sudo apt-key add deb.oberon.org.gpg.key
sudo dpkg --add-architecture i386
echo "deb http://deb.oberon.org/linux18 testing main" | sudo tee -a /etc/apt/sources.list
sudo apt-get update
sudo apt-get install bbcb
User avatar
Ivan Denisov
 
Posts: 297
Joined: Tue Sep 17, 2013 12:21 am
Location: Krasnoyarsk, Russia

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Zinn » Wed Aug 05, 2020 5:54 am

Sorry Ivan, I still have trouble during the installation using the following commands
Code: Select all
wget http://deb.oberon.org/deb.oberon.org.gpg.key
sudo apt-key add deb.oberon.org.gpg.key
sudo dpkg --add-architecture i386
echo "deb http://deb.oberon.org/linux18 testing main" | sudo tee -a /etc/apt/sources.list
sudo apt-get update
sudo apt-get install bbcb

After enter the last command I get the error message
Code: Select all
sudo apt-get install bbcb

[sudo] password for walter:           
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 bbcb:i386 : Depends: gnome-themes-extra:i386 but it is not installable or
                      gnome-themes-standard:i386 but it is not installable
E: Unable to correct problems, you have held broken packages.

I use a new installation of Mint 20 and not an update from 19.
- Helmut
Zinn
 
Posts: 94
Joined: Mon Nov 24, 2014 10:47 am
Location: Frankfurt am Main

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Ivan Denisov » Thu Aug 06, 2020 7:25 am

Can you please run
Code: Select all
sudo apt install gnome-themes-extra:i386

let's see the message, why it can not be installed?
User avatar
Ivan Denisov
 
Posts: 297
Joined: Tue Sep 17, 2013 12:21 am
Location: Krasnoyarsk, Russia

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Zinn » Thu Aug 06, 2020 4:14 pm

here there are the result:

$ sudo apt install gnome-themes-extra:i386
[sudo] password for walter:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package gnome-themes-extra:i386 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'gnome-themes-extra:i386' has no installation candidate
$
Zinn
 
Posts: 94
Joined: Mon Nov 24, 2014 10:47 am
Location: Frankfurt am Main

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Ivan Denisov » Sun Aug 09, 2020 2:53 am

You are right! There are no such package anymore
https://packages.ubuntu.com/focal/gnome-themes-extra

I removed it from my Linux and now can not install back.
User avatar
Ivan Denisov
 
Posts: 297
Joined: Tue Sep 17, 2013 12:21 am
Location: Krasnoyarsk, Russia

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Ivan Denisov » Mon Aug 10, 2020 4:59 am

I am working to solve this problem.
User avatar
Ivan Denisov
 
Posts: 297
Joined: Tue Sep 17, 2013 12:21 am
Location: Krasnoyarsk, Russia

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Zinn » Tue Aug 11, 2020 8:30 am

Can I help You?
-Helmut
Zinn
 
Posts: 94
Joined: Mon Nov 24, 2014 10:47 am
Location: Frankfurt am Main

Re: BlackBox installieren on Mint 20 - Ubuntu 20.04

Postby Ivan Denisov » Fri Aug 14, 2020 6:37 am

I updated control file for debian package. Now it should install from repository.
I could not find beautiful solution. Now it shows Gtk-WARNING in terminal. But this is better than nothing :)
User avatar
Ivan Denisov
 
Posts: 297
Joined: Tue Sep 17, 2013 12:21 am
Location: Krasnoyarsk, Russia


Return to BlackBox Cross-Platform

Who is online

Users browsing this forum: No registered users and 1 guest

cron